/*
 * led.h: header file for memory.c
 *
 * Copyright (C) 2001  Erik Mouw (J.A.K.Mouw@its.tudelft.nl)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#ident "$Id: led.h,v 1.2 2001/08/06 22:44:52 erikm Exp $"

#ifndef BLOB_LED_H
#define BLOB_LED_H




/* define the GPIO pin for the LED */
#if defined ASSABET
# define LED_GPIO 0x00020000 /* GPIO 17 */
#elif (defined CLART) || (defined LART) || (defined NESA)
# define LED_GPIO 0x00800000 /* GPIO 23 */
#elif defined PLEB
# define LED_GPIO 0x00010000 /* GPIO 16 */
#else
#warning "FIXME: Include code to turn on one of the LEDs on your board"
# define LED_GPIO 0x00000000 /* safe mode: no GPIO, so no LED */
#endif



#ifndef ASSEMBLY

void led_on(void);
void led_off(void);
void led_toggle(void);

#endif



#endif
